{ |========================================================================|
  |                                                                        |
  |                  Projet : Aller plus loin avec Lazarus                 |
  |                  Description : bgrabitmap - Exemple 012                |
  |                  Unit : bgrabitmap_012.lpr                            |
  |                  Site : www.developpez.net                             |
  |                  Copyright :  Roland CHASTAIN & Gilles VASSEUR 2015   |
  |                  Date : 21/11/2015 13:40:29                            |
  |                  Version : 1.0.0                                       |
  |                                                                        |
  |========================================================================| }

// HISTORIQUE
// 21/11/2015 13:40:29 - 1.0.0 - premire version oprationnelle

// BGRABITMAP_012 - part of "Aller plus loin avec Lazarus"
// Copyright  Roland CHASTAIN & Gilles VASSEUR 2015
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License,
// or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY;
// without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.
// If not, see <http://www.gnu.org/licenses/>.
program bgrabitmap_012;

uses
  SysUtils, BGRABitmap, BGRABitmapTypes;

{$R bgrabitmap_001.res}

procedure Operations(image: TBGRABitmap);
const
  EPAISSEUR = 10;
begin
  image.RoundRectAntialias(
    10, { Abscisse du sommet suprieur gauche. }
    10, { Ordonne du sommet suprieur gauche. }
    90, { Abscisse du sommet infrieur droit.  }
    90, { Ordonne du sommet infrieur droit.  }
    20, { Rayon horizontal de l'arrondi.       }
    20, { Rayon vertical de l'arrondi.         }
    BGRA(0, 0, 255),
    EPAISSEUR,
    []
  );
end;

const
  LARGEUR = 100;
  HAUTEUR = 100;
  
var
  image: TBGRABitmap;

begin
  image := TBGRABitmap.Create(LARGEUR, HAUTEUR, BGRAWhite);
  Operations(image);
  image.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));
  image.Free;
end.
