{ |========================================================================|
  |                                                                        |
  |                  Projet : Aller plus loin avec Lazarus                 |
  |                  Description : bgrabitmap - Exemple 015                |
  |                  Unit : bgrabitmap_015.lpr                            |
  |                  Site : www.developpez.net                             |
  |                  Copyright :  Roland CHASTAIN & Gilles VASSEUR 2015   |
  |                  Date : 21/11/2015 13:40:29                            |
  |                  Version : 1.0.0                                       |
  |                                                                        |
  |========================================================================| }

// HISTORIQUE
// 21/11/2015 13:40:29 - 1.0.0 - premire version oprationnelle

// BGRABITMAP_015 - part of "Aller plus loin avec Lazarus"
// Copyright  Roland CHASTAIN & Gilles VASSEUR 2015
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License,
// or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY;
// without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.
// If not, see <http://www.gnu.org/licenses/>.
program bgrabitmap_015;

uses
  SysUtils, BGRABitmap, BGRABitmapTypes;

{$R bgrabitmap_001.res}

procedure Operations(image: TBGRABitmap);
const
  EPAISSEUR = 2;
begin
  image.Fill(BGRAWhite);

  { Style de la ligne. }
  image.CustomPenStyle := BGRAPenStyle(2, 1);

  image.EllipseAntialias(
    image.Width / 2,
    image.Height / 2,
    image.Width / 2 - 5,
    image.Height / 2 - 5,
    CSSBlue,
    EPAISSEUR
  );
end;

const
  LARGEUR = 100;
  HAUTEUR = 100;
  
var
  image: TBGRABitmap;
  
begin
  image := TBGRABitmap.Create(LARGEUR, HAUTEUR, BGRABlack);
  Operations(image);
  image.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));
  image.Free;
end.
