
unit bgrabitmap_032_u;

{$MODE objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs,
  BGRABitmap, BGRABitmapTypes, BGRATextFX, BGRAGradients;

type

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormPaint(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

procedure Operations(image: TBGRABitmap);
var
  shader: TPhongShading;
  renderer: TBGRATextEffectFontRenderer;
begin
  shader := TPhongShading.Create;
  renderer := TBGRATextEffectFontRenderer.Create(shader, TRUE);
  image.FontRenderer := renderer;
  renderer.ShadowVisible := TRUE;
  image.FontHeight := 24;
  image.FontQuality := fqFineAntialiasing;
  image.TextOut(5, 5, 'Hello', CSSBlue);
end;

{ TForm1 }

procedure TForm1.FormPaint(Sender: TObject);
var
  image: TBGRABitmap;
begin
  image := TBGRABitmap.Create(100, 100, BGRAWhite);
  Operations(image);
  image.Draw(Canvas, 0, 0, TRUE);
  image.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));
  image.Free;
end;

end.

