{ |========================================================================|
  |                                                                        |
  |                  Projet : Aller plus loin avec Lazarus                 |
  |                  Description : bgrabitmap - Exemple 041                |
  |                  Unit : bgrabitmap_041.lpr                            |
  |                  Site : www.developpez.net                             |
  |                  Copyright :  Roland CHASTAIN & Gilles VASSEUR 2015   |
  |                  Date : 21/11/2015 13:40:29                            |
  |                  Version : 1.0.0                                       |
  |                                                                        |
  |========================================================================| }

// HISTORIQUE
// 21/11/2015 13:40:29 - 1.0.0 - premire version oprationnelle

// BGRABITMAP_041 - part of "Aller plus loin avec Lazarus"
// Copyright  Roland CHASTAIN & Gilles VASSEUR 2015
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation, either version 3 of the License,
// or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY;
// without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.
// If not, see <http://www.gnu.org/licenses/>.
program bgrabitmap_041;

uses
  Classes, SysUtils, BGRABitmap, BGRABitmapTypes;

{$R bgrabitmap_001.res}

procedure Operations(image: TBGRABitmap);
const
  FICHIER = 'images' + DirectorySeparator + 'corot.jpg';
var
  texture, masque: TBGRABitmap;
begin
  texture := TBGRABitmap.Create(FICHIER);
  BGRAReplace(
    texture,
    //texture.Resample(100, 100)
    texture.GetPart(Rect(300, 300, 400, 400))
  );

  image.PutImage(0, 0, texture, dmDrawWithTransparency);

  masque := TBGRABitmap.Create(100, 100, BGRABlack);
  masque.FillEllipseAntialias(49.5, 49.5, 49.5, 49.5, BGRAWhite);

  image.PutImage(100, 0, masque, dmDrawWithTransparency);

  texture.ApplyMask(masque);

  image.PutImage(200, 0, texture, dmDrawWithTransparency);

  masque.Free;
  texture.Free;
end;

var
  image: TBGRABitmap;

begin
  image := TBGRABitmap.Create(300, 100, CSSGray);

  Operations(image);

  image.SaveToFile(ChangeFileExt(ParamStr(0), '.png'));
  image.Free;
end.
